Package org.kapott.hbci.protocol

# Class MultipleDEGs

java.lang.Object
org.kapott.hbci.protocol.MultipleSyntaxElements
org.kapott.hbci.protocol.MultipleDEGs

public final class MultipleDEGs extends MultipleSyntaxElements

## Constructor Summary

Constructors
Constructor
Description
`MultipleDEGs(Node degref, char delimiter, String path, char predelim0, char predelim1, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)`
`MultipleDEGs(Node degref, char delimiter, String path, Document syntax)`

## Method Summary

Modifier and Type
Method
Description
`protected SyntaxElement`
`createAndAppendNewElement(Node ref, String path, int idx, Document syntax)`
erzeugt einen neuen eintrag in der elements liste; dabei wird ein syntaxelement erzeugt, das im xml-node ref referenziert wird; idx ist die indexnummer des zu erzeugenden syntaxelementes innerhalb der elementlist
`void`
`destroy()`
`void`
`getElementPaths(Properties p, int[] segref, int[] degref, int[] deref)`
`void`
`init(Node degref, char delimiter, String path, char predelim0, char predelim1, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)`
`void`
`init(Node degref, char delimiter, String path, Document syntax)`
`protected SyntaxElement`
`parseAndAppendNewElement(Node ref, String path, char predelim, int idx, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)`
siehe SyntaxElement::parseElementList()
`String`
`toString(int zero)`

### Methods inherited from class org.kapott.hbci.protocol.MultipleSyntaxElements

`addElement, checkSegSeq, enumerateSegs, extractValues, getElement, getElements, getName, getParent, getPath, getSyntaxIdx, getType, getValueOfDE, getValueOfDE, init, init, propagateValue, setParent, setSyntaxIdx, storeValidValueInDE, validate, validateOneElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipleDEGs

public MultipleDEGs(Node degref, char delimiter, String path, Document syntax)

### MultipleDEGs

public MultipleDEGs(Node degref, char delimiter, String path, char predelim0, char predelim1, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)

## Method Details

### createAndAppendNewElement

protected SyntaxElement createAndAppendNewElement(Node ref, String path, int idx, Document syntax)
Description copied from class: `MultipleSyntaxElements`
erzeugt einen neuen eintrag in der elements liste; dabei wird ein syntaxelement erzeugt, das im xml-node ref referenziert wird; idx ist die indexnummer des zu erzeugenden syntaxelementes innerhalb der elementlist

Specified by:
  `createAndAppendNewElement` in class `MultipleSyntaxElements`

### init

public void init(Node degref, char delimiter, String path, Document syntax)

### toString

public String toString(int zero)

Overrides:
  `toString` in class `MultipleSyntaxElements`

### parseAndAppendNewElement

protected SyntaxElement parseAndAppendNewElement(Node ref, String path, char predelim, int idx, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)
Description copied from class: `MultipleSyntaxElements`
siehe SyntaxElement::parseElementList()

Specified by:
  `parseAndAppendNewElement` in class `MultipleSyntaxElements`

### init

public void init(Node degref, char delimiter, String path, char predelim0, char predelim1, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)

### getElementPaths

public void getElementPaths(Properties p, int[] segref, int[] degref, int[] deref)

Overrides:
  `getElementPaths` in class `MultipleSyntaxElements`

### destroy

public void destroy()

Overrides:
  `destroy` in class `MultipleSyntaxElements`